<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">ResourceBackgroundQueue</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ResourceBackgroundQueue Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a37de71afc6ad20ce64ad1e7161d34ac1">abortRequest</a>(BackgroundProcessTicket ticket)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aeae482f959f651edf2f2446c75a8fa05">addRequest</a>(ResourceRequest &amp;req)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#adc005af8b5c25bcfd6e39d4d5255d754">canHandleRequest</a>(const WorkQueue::Request *req, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a3e162e3a40c4fe36e8e32bf11dcb2c43">canHandleResponse</a>(const WorkQueue::Response *res, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a85e23967cb7bce8948b744e0de9af17a">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8560b1f597bcb32f13d4a0abbdbb2e02">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ab62b4ac5538f5f96123ba2491c3af284">handleRequest</a>(const WorkQueue::Request *req, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a80e5148e3e0f8abd1e9eb2279e6db221">handleResponse</a>(const WorkQueue::Response *res, const WorkQueue *srcQ)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8842996829730ae05d3dd06c1a8224ad">initialise</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#abe1b5ef553e2e9cafc6172af3f0edc1a">initialiseAllResourceGroups</a>(Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a2543a3c0903bb5441c3b75f3c44d6cfa">initialiseResourceGroup</a>(const String &amp;name, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a7165b27dcde57a8f6d49ca40c76bb75b">isProcessComplete</a>(BackgroundProcessTicket ticket)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ab14cf2235526638f58ddbf234379219a">load</a>(const String &amp;resType, const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a8caf7ad66b4c65608fa6a6dfc0b0f7cb">loadResourceGroup</a>(const String &amp;name, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#abd1a89bbcf6f99825db901c3e382b14f">mOutstandingRequestSet</a></td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; ResourceBackgroundQueue &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a6bfe913acebb812e67a5ccf669ac4b85">mWorkQueueChannel</a></td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a312aade4d2413f1de1ef3181cabe457f">OutstandingRequestSet</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a33d1aa5d177fc999625b54b37c7bda8c">prepare</a>(const String &amp;resType, const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aae6fa8ecd7c2a6035a6c5b5fc39791ba">prepareResourceGroup</a>(const String &amp;name, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#a37f35aaa5935b91a180d92e5243fccb7">RequestHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html">Ogre::WorkQueue::RequestHandler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745">RequestType</a> enum name</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a74525d1f4e99a24afa3cc0800f0b6ce9">ResourceBackgroundQueue</a>()</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a0e4215e93030a19595bc2d2e30f0a938">ResponseHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html">Ogre::WorkQueue::ResponseHandler</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a9a307a52ca7851def901b0140b727a3d">RT_INITIALISE_ALL_GROUPS</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745ae8ee38057ec65c7818091b1caca338ca">RT_INITIALISE_GROUP</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a6fc6a9ca84e7613ae861d7c432843cc9">RT_LOAD_GROUP</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a7327f4cfe781534a62de7541b5f23e15">RT_LOAD_RESOURCE</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745acf908f9b6fcb1de03a07bae3f8cd4e06">RT_PREPARE_GROUP</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a665332bd3793442bba7ea49234396dc3">RT_PREPARE_RESOURCE</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a9d78e28a478d97ad7e7d0bbb03699fb5">RT_UNLOAD_GROUP</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#aedf467d04f827459c96ba08cdf61b745a471ed9d09791d8524d9f9b838cd2da72">RT_UNLOAD_RESOURCE</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ae6e64b1d717c2a377a60772a5cbd8dec">shutdown</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; ResourceBackgroundQueue &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ae372f5db5fedec9648076e48407edf7c">unload</a>(const String &amp;resType, const String &amp;name, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a91632d515e4c42970306bb8310df5790">unload</a>(const String &amp;resType, ResourceHandle handle, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a63632d3cd174ec2ba091145199e7be42">unloadResourceGroup</a>(const String &amp;name, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html#a0d7c8fced3825d323b12b5dbd167bf83">~RequestHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1RequestHandler.html">Ogre::WorkQueue::RequestHandler</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#a407ce0c4668bdf5558e15f7f99c37fa8">~ResourceBackgroundQueue</a>()</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html#a5fb201476bd4bf5a14425c4598753aab">~ResponseHandler</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1ResponseHandler.html">Ogre::WorkQueue::ResponseHandler</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; ResourceBackgroundQueue &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
